class Driftwood::Plugin::Debug < Driftwood::Plugin

  def initialize(config=nil, slack=nil, bigquery=nil)
    super(config, slack, bigquery)
    @about = 'The debug plugin. It just dumps out event data as events are processed.'

    ['team_join', 'member_joined_channel', 'message'].each do |handler|
      # Example event handler. See https://api.slack.com/events
      @slack.register_handler(handler) do |team_id, event_data|
        $logger.info "DEBUG: [#{handler}] handler fired"
        $logger.debug "Team ID: #{team_id}"
        $logger.debug JSON.pretty_generate(event_data)
      end
    end

  end
end